#include <bits/stdc++.h>

using namespace std;
int p[100010];
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);
    long long rez=0;
    int n,m,a,b;
    cin>>n>>m;
    for(int i=0;i<n;i++)
        cin>>p[i];
    for(int i=0;i<m;i++){
        cin>>a>>b;
        rez+=max((p[a-1]+p[b-1]),(-p[a-1]-p[b-1]));
    }
    cout<<rez;
    return 0;
}